diff -uNr moonshine-0.7.orig//xulrunner/chrome/chrome.manifest moonshine-0.7/xulrunner/chrome/chrome.manifest
--- moonshine-0.7.orig//xulrunner/chrome/chrome.manifest	2010-06-17 05:23:24.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/chrome.manifest	2010-12-03 16:53:34.000000000 +0800
@@ -1,3 +1,23 @@
 content	moonshine content/
 skin moonshine default skin/
 locale moonshine en-US locale/en-US/
+locale moonshine en-GB locale/en-GB/
+locale moonshine cs locale/cs/
+locale moonshine da locale/da/
+locale moonshine de locale/de/
+locale moonshine el locale/el/
+locale moonshine es locale/es/
+locale moonshine fi locale/fi/
+locale moonshine fr locale/fr/
+locale moonshine hu locale/hu/
+locale moonshine it locale/it/
+locale moonshine nb locale/nb/
+locale moonshine nl locale/nl/
+locale moonshine pl locale/pl/
+locale moonshine pt locale/pt/
+locale moonshine pt-BR locale/pt-BR/
+locale moonshine ru locale/ru/
+locale moonshine sv locale/sv/
+locale moonshine tr locale/tr/
+locale moonshine zh-CN locale/zh-CN/
+locale moonshine zh-TW locale/zh-TW/
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/cs/player-shell.dtd moonshine-0.7/xulrunner/chrome/locale/cs/player-shell.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/cs/player-shell.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/cs/player-shell.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1,12 @@
+﻿<!ENTITY moonshine.fileMenuLabel "Soubor">
+<!ENTITY moonshine.fileOpenLabel "Otevřít soubor">
+<!ENTITY moonshine.fileQuitLabel "Konec">
+
+<!ENTITY moonshine.viewMenuLabel "Zobrazit">
+<!ENTITY moonshine.viewFullscreenLabel "Celá obrazovka">
+
+<!ENTITY moonshine.helpMenuLabel "Nápověda">
+<!ENTITY moonshine.helpAboutLabel "O aplikaci">
+
+<!ENTITY moonshine.uninstalledTitle "Modul Moonlight není nainstalován">
+<!ENTITY moonshine.uninstalledMessage "Modul plug-in Moonlight nelze nalézt. Aktuálně je třeba jej nainstalovat do systémového umístění modulů plug-in a ne jako soubor XPI.">
\ No newline at end of file
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/cs/version.dtd moonshine-0.7/xulrunner/chrome/locale/cs/version.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/cs/version.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/cs/version.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1 @@
+<!ENTITY moonshine.version "0.5">
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/da/player-shell.dtd moonshine-0.7/xulrunner/chrome/locale/da/player-shell.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/da/player-shell.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/da/player-shell.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1,13 @@
+<!ENTITY moonshine.fileMenuLabel "Fil">
+<!ENTITY moonshine.fileOpenLabel "Åbn fil">
+<!ENTITY moonshine.fileQuitLabel "Afslut">
+
+<!ENTITY moonshine.viewMenuLabel "Vis">
+<!ENTITY moonshine.viewFullscreenLabel "Fuldskærm">
+
+<!ENTITY moonshine.helpMenuLabel "Hjælp">
+<!ENTITY moonshine.helpAboutLabel "Om">
+
+<!ENTITY moonshine.uninstalledTitle "Moonlight ikke installeret">
+<!ENTITY moonshine.uninstalledMessage "Moonlight-tilføjelsesprogrammet kunne ikke findes. Det skal være installeret i dit systems placering for tilføjelsesprogrammer, og ikke som en XPI.">
+
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/da/version.dtd moonshine-0.7/xulrunner/chrome/locale/da/version.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/da/version.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/da/version.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1 @@
+<!ENTITY moonshine.version "0.5">
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/de/player-shell.dtd moonshine-0.7/xulrunner/chrome/locale/de/player-shell.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/de/player-shell.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/de/player-shell.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1,14 @@
+<!ENTITY moonshine.fileMenuLabel "Datei">
+<!ENTITY moonshine.fileOpenLabel "Datei öffnen">
+<!ENTITY moonshine.fileQuitLabel "Beenden">
+
+<!ENTITY moonshine.viewMenuLabel "Ansicht">
+<!ENTITY moonshine.viewFullscreenLabel "Vollbild">
+
+<!ENTITY moonshine.helpMenuLabel "Hilfe">
+<!ENTITY moonshine.helpAboutLabel "Info">
+
+<!ENTITY moonshine.uninstalledTitle "Moonlight nicht installiert">
+<!ENTITY moonshine.uninstalledMessage "Das Moonlight-Plugin konnte nicht gefunden werden. Es muss zurzeit am Standort des System-Plugins installiert sein, nicht als XPI.">
+
+
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/de/version.dtd moonshine-0.7/xulrunner/chrome/locale/de/version.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/de/version.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/de/version.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1 @@
+<!ENTITY moonshine.version "0.5">
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/el/player-shell.dtd moonshine-0.7/xulrunner/chrome/locale/el/player-shell.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/el/player-shell.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/el/player-shell.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1,14 @@
+﻿<!ENTITY moonshine.fileMenuLabel "Αρχείο">
+<!ENTITY moonshine.fileOpenLabel "Άνοιγμα αρχείου">
+<!ENTITY moonshine.fileQuitLabel "Έξοδος">
+
+<!ENTITY moonshine.viewMenuLabel "Προβολή">
+<!ENTITY moonshine.viewFullscreenLabel "Πλήρης οθόνη">
+
+<!ENTITY moonshine.helpMenuLabel "Βοήθεια">
+<!ENTITY moonshine.helpAboutLabel "Πληροφορίες">
+
+<!ENTITY moonshine.uninstalledTitle "Το Moonlight δεν έχει εγκατασταθεί">
+<!ENTITY moonshine.uninstalledMessage "Το πρόσθετο Moonlight δεν βρέθηκε. Προς το παρόν πρέπει να εγκατασταθεί στη θέση προσθέτων του συστήματος και όχι ως XPI.">
+
+
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/el/version.dtd moonshine-0.7/xulrunner/chrome/locale/el/version.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/el/version.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/el/version.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1 @@
+<!ENTITY moonshine.version "0.5">
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/en-GB/player-shell.dtd moonshine-0.7/xulrunner/chrome/locale/en-GB/player-shell.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/en-GB/player-shell.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/en-GB/player-shell.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1,13 @@
+<!ENTITY moonshine.fileMenuLabel "Fie">
+<!ENTITY moonshine.fileOpenLabel "Open File">
+<!ENTITY moonshine.fileQuitLabel "Qt">
+
+<!ENTITY moonshine.viewMenuLabel "View">
+<!ENTITY moonshine.viewFullscreenLabel "Fullscreen">
+
+<!ENTITY moonshine.helpMenuLabel "Help">
+<!ENTITY moonshine.helpAboutLabel "About">
+
+<!ENTITY moonshine.uninstalledTitle "Moonlight Not Installed">
+<!ENTITY moonshine.uninstalledMessage "The Moonlight plugin could not be found. Currently it must be installedin the system plugin location, and not as an XPI.">
+
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/en-GB/version.dtd moonshine-0.7/xulrunner/chrome/locale/en-GB/version.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/en-GB/version.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/en-GB/version.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1 @@
+<!ENTITY moonshine.version "0.5">
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/es/player-shell.dtd moonshine-0.7/xulrunner/chrome/locale/es/player-shell.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/es/player-shell.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/es/player-shell.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1,13 @@
+<!ENTITY moonshine.fileMenuLabel "Archivo">
+<!ENTITY moonshine.fileOpenLabel "Abrir archivo">
+<!ENTITY moonshine.fileQuitLabel "Salir">
+
+<!ENTITY moonshine.viewMenuLabel "Ver">
+<!ENTITY moonshine.viewFullscreenLabel "Pantalla completa">
+
+<!ENTITY moonshine.helpMenuLabel "Ayuda">
+<!ENTITY moonshine.helpAboutLabel "Acerca de">
+
+<!ENTITY moonshine.uninstalledTitle "Moonlight no está instalado">
+<!ENTITY moonshine.uninstalledMessage "No se ha encontrado el complemento Moonlight. Debe estar instalado en la ubicación de complementos del sistema, no como XPI.">
+
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/es/version.dtd moonshine-0.7/xulrunner/chrome/locale/es/version.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/es/version.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/es/version.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1 @@
+<!ENTITY moonshine.version "0.5">
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/fi/player-shell.dtd moonshine-0.7/xulrunner/chrome/locale/fi/player-shell.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/fi/player-shell.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/fi/player-shell.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1,13 @@
+<!ENTITY moonshine.fileMenuLabel "Tiedosto">
+<!ENTITY moonshine.fileOpenLabel "Avaa tiedosto">
+<!ENTITY moonshine.fileQuitLabel "Lopeta">
+
+<!ENTITY moonshine.viewMenuLabel "Näytä">
+<!ENTITY moonshine.viewFullscreenLabel "Koko näyttö">
+
+<!ENTITY moonshine.helpMenuLabel "Ohje">
+<!ENTITY moonshine.helpAboutLabel "Tietoja">
+
+<!ENTITY moonshine.uninstalledTitle "Moonlightia ei ole asennettu">
+<!ENTITY moonshine.uninstalledMessage "Moonlight-laajennusta ei löydy. Se on asennettava järjestelmälaajennussijaintiin eikä XPI:nä.">
+
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/fi/version.dtd moonshine-0.7/xulrunner/chrome/locale/fi/version.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/fi/version.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/fi/version.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1 @@
+<!ENTITY moonshine.version "0.5">
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/fr/player-shell.dtd moonshine-0.7/xulrunner/chrome/locale/fr/player-shell.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/fr/player-shell.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/fr/player-shell.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1,13 @@
+<!ENTITY moonshine.fileMenuLabel "Fichier">
+<!ENTITY moonshine.fileOpenLabel "Ouvrir le fichier">
+<!ENTITY moonshine.fileQuitLabel "Quitter">
+
+<!ENTITY moonshine.viewMenuLabel "Affichage">
+<!ENTITY moonshine.viewFullscreenLabel "Plein écran">
+
+<!ENTITY moonshine.helpMenuLabel "Aide">
+<!ENTITY moonshine.helpAboutLabel "À propos de">
+
+<!ENTITY moonshine.uninstalledTitle "Moonlight non installé">
+<!ENTITY moonshine.uninstalledMessage "Le plug-in Moonlight est introuvable. Il doit actuellement être installé à l'emplacement des plug-ins système, et non en tant que XPI.">
+
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/fr/version.dtd moonshine-0.7/xulrunner/chrome/locale/fr/version.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/fr/version.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/fr/version.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1 @@
+<!ENTITY moonshine.version "0.5">
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/hu/player-shell.dtd moonshine-0.7/xulrunner/chrome/locale/hu/player-shell.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/hu/player-shell.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/hu/player-shell.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1,12 @@
+<!ENTITY moonshine.fileMenuLabel "Fájl">
+<!ENTITY moonshine.fileOpenLabel "Fájl megnyitása">
+<!ENTITY moonshine.fileQuitLabel "Kilépés">
+
+<!ENTITY moonshine.viewMenuLabel "Nézet">
+<!ENTITY moonshine.viewFullscreenLabel "Teljes képernyo">
+
+<!ENTITY moonshine.helpMenuLabel "Súgó">
+<!ENTITY moonshine.helpAboutLabel "Névjegy">
+
+<!ENTITY moonshine.uninstalledTitle "A Moonlight összetevo nincs telepítve">
+<!ENTITY moonshine.uninstalledMessage "A Moonlight beépülo modul nem található. Jelenleg a rendszer beépülo modulokat tartalmazó helyén kell telepítve lennie, nem XPI fájlként szerepelnie.">
\ No newline at end of file
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/hu/version.dtd moonshine-0.7/xulrunner/chrome/locale/hu/version.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/hu/version.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/hu/version.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1 @@
+<!ENTITY moonshine.version "0.5">
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/it/player-shell.dtd moonshine-0.7/xulrunner/chrome/locale/it/player-shell.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/it/player-shell.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/it/player-shell.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1,12 @@
+<!ENTITY moonshine.fileMenuLabel "File">
+<!ENTITY moonshine.fileOpenLabel "Apri file">
+<!ENTITY moonshine.fileQuitLabel "Esci">
+
+<!ENTITY moonshine.viewMenuLabel "Visualizza">
+<!ENTITY moonshine.viewFullscreenLabel "Schermo intero">
+
+<!ENTITY moonshine.helpMenuLabel "?">
+<!ENTITY moonshine.helpAboutLabel "Informazioni su">
+
+<!ENTITY moonshine.uninstalledTitle "Moonlight non installato">
+<!ENTITY moonshine.uninstalledMessage "Impossibile trovare il plugin Moonlight. Attualmente deve essere installato nell'ubicazione dei plugin locali e non come XPI.">
\ No newline at end of file
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/it/version.dtd moonshine-0.7/xulrunner/chrome/locale/it/version.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/it/version.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/it/version.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1 @@
+<!ENTITY moonshine.version "0.5">
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/nb/player-shell.dtd moonshine-0.7/xulrunner/chrome/locale/nb/player-shell.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/nb/player-shell.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/nb/player-shell.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1,13 @@
+<!ENTITY moonshine.fileMenuLabel "Fil">
+<!ENTITY moonshine.fileOpenLabel "Åpne fil">
+<!ENTITY moonshine.fileQuitLabel "Avslutt">
+
+<!ENTITY moonshine.viewMenuLabel "Vis">
+<!ENTITY moonshine.viewFullscreenLabel "Fullskjerm">
+
+<!ENTITY moonshine.helpMenuLabel "Hjelp">
+<!ENTITY moonshine.helpAboutLabel "Om">
+
+<!ENTITY moonshine.uninstalledTitle "Moonlight er ikke installert">
+<!ENTITY moonshine.uninstalledMessage "Finner ikke Moonlight-plugin-modulen. Den må være installert i systemets plassering for plugin-moduler, og ikke som en XPI.">
+
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/nb/version.dtd moonshine-0.7/xulrunner/chrome/locale/nb/version.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/nb/version.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/nb/version.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1 @@
+<!ENTITY moonshine.version "0.5">
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/nl/player-shell.dtd moonshine-0.7/xulrunner/chrome/locale/nl/player-shell.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/nl/player-shell.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/nl/player-shell.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1,12 @@
+<!ENTITY moonshine.fileMenuLabel "Bestand">
+<!ENTITY moonshine.fileOpenLabel "Bestand openen">
+<!ENTITY moonshine.fileQuitLabel "Afsluiten">
+
+<!ENTITY moonshine.viewMenuLabel "Beeld">
+<!ENTITY moonshine.viewFullscreenLabel "Volledig scherm">
+
+<!ENTITY moonshine.helpMenuLabel "Help">
+<!ENTITY moonshine.helpAboutLabel "Info">
+
+<!ENTITY moonshine.uninstalledTitle "Moonlight is niet geïnstalleerd">
+<!ENTITY moonshine.uninstalledMessage "Kan de Moonlight-plug-in niet vinden. Deze moet momenteel zijn geïnstalleerd in de systeemplug-inlocatie en niet als XPI.">
\ No newline at end of file
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/nl/version.dtd moonshine-0.7/xulrunner/chrome/locale/nl/version.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/nl/version.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/nl/version.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1 @@
+<!ENTITY moonshine.version "0.5">
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/pl/player-shell.dtd moonshine-0.7/xulrunner/chrome/locale/pl/player-shell.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/pl/player-shell.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/pl/player-shell.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1,12 @@
+﻿<!ENTITY moonshine.fileMenuLabel "Plik">
+<!ENTITY moonshine.fileOpenLabel "Otwórz plik">
+<!ENTITY moonshine.fileQuitLabel "Wyjście">
+
+<!ENTITY moonshine.viewMenuLabel "Widok">
+<!ENTITY moonshine.viewFullscreenLabel "Pełny ekran">
+
+<!ENTITY moonshine.helpMenuLabel "Pomoc">
+<!ENTITY moonshine.helpAboutLabel "Informacje">
+
+<!ENTITY moonshine.uninstalledTitle "Dodatek Moonlight nie został zainstalowany">
+<!ENTITY moonshine.uninstalledMessage "Nie można znaleźć dodatku typu plug-in produktu Moonlight. Musi on być zainstalowany w położeniu systemowych dodatków typu plug-in, a nie jako plik XPI.">
\ No newline at end of file
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/pl/version.dtd moonshine-0.7/xulrunner/chrome/locale/pl/version.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/pl/version.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/pl/version.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1 @@
+<!ENTITY moonshine.version "0.5">
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/pt/player-shell.dtd moonshine-0.7/xulrunner/chrome/locale/pt/player-shell.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/pt/player-shell.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/pt/player-shell.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1,13 @@
+<!ENTITY moonshine.fileMenuLabel "Ficheiro">
+<!ENTITY moonshine.fileOpenLabel "Abrir ficheiro">
+<!ENTITY moonshine.fileQuitLabel "Sair">
+
+<!ENTITY moonshine.viewMenuLabel "Ver">
+<!ENTITY moonshine.viewFullscreenLabel "Ecrã inteiro">
+
+<!ENTITY moonshine.helpMenuLabel "Ajuda">
+<!ENTITY moonshine.helpAboutLabel "Acerca de">
+
+<!ENTITY moonshine.uninstalledTitle "Moonlight Não Instalado">
+<!ENTITY moonshine.uninstalledMessage "Não foi possível encontrar o plug-in Moonlight. Tem de estar instalado actualmente na localização de plug-ins do sistema e não como XPI.">
+
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/pt/version.dtd moonshine-0.7/xulrunner/chrome/locale/pt/version.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/pt/version.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/pt/version.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1 @@
+<!ENTITY moonshine.version "0.5">
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/pt-BR/player-shell.dtd moonshine-0.7/xulrunner/chrome/locale/pt-BR/player-shell.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/pt-BR/player-shell.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/pt-BR/player-shell.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1,13 @@
+<!ENTITY moonshine.fileMenuLabel "Arquivo">
+<!ENTITY moonshine.fileOpenLabel "Abrir Arquivo">
+<!ENTITY moonshine.fileQuitLabel "Sair">
+
+<!ENTITY moonshine.viewMenuLabel "Ver">
+<!ENTITY moonshine.viewFullscreenLabel "Tela Inteira">
+
+<!ENTITY moonshine.helpMenuLabel "Ajuda">
+<!ENTITY moonshine.helpAboutLabel "Sobre">
+
+<!ENTITY moonshine.uninstalledTitle "Moonlight Não Instalado">
+<!ENTITY moonshine.uninstalledMessage "Não foi possível encontrar o plug-in Moonlight. Ele deve estar instalado no local do plug-in de sistema, e não como um XPI.">
+
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/pt-BR/version.dtd moonshine-0.7/xulrunner/chrome/locale/pt-BR/version.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/pt-BR/version.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/pt-BR/version.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1 @@
+<!ENTITY moonshine.version "0.5">
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/ru/player-shell.dtd moonshine-0.7/xulrunner/chrome/locale/ru/player-shell.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/ru/player-shell.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/ru/player-shell.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1,12 @@
+﻿<!ENTITY moonshine.fileMenuLabel "Файл">
+<!ENTITY moonshine.fileOpenLabel "Открыть файл">
+<!ENTITY moonshine.fileQuitLabel "Выход">
+
+<!ENTITY moonshine.viewMenuLabel "Вид">
+<!ENTITY moonshine.viewFullscreenLabel "Во весь экран">
+
+<!ENTITY moonshine.helpMenuLabel "Справка">
+<!ENTITY moonshine.helpAboutLabel "О программе">
+
+<!ENTITY moonshine.uninstalledTitle "Не установлен подключаемый модуль Moonlight">
+<!ENTITY moonshine.uninstalledMessage "Не найден подключаемый модуль Moonlight. Сейчас он должен быть установлен в расположение системного подключаемого модуля, а не XPI.">
\ No newline at end of file
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/ru/version.dtd moonshine-0.7/xulrunner/chrome/locale/ru/version.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/ru/version.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/ru/version.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1 @@
+<!ENTITY moonshine.version "0.5">
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/sv/player-shell.dtd moonshine-0.7/xulrunner/chrome/locale/sv/player-shell.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/sv/player-shell.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/sv/player-shell.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1,13 @@
+<!ENTITY moonshine.fileMenuLabel "Arkiv">
+<!ENTITY moonshine.fileOpenLabel "Öppna fil">
+<!ENTITY moonshine.fileQuitLabel "Avsluta">
+
+<!ENTITY moonshine.viewMenuLabel "Visa">
+<!ENTITY moonshine.viewFullscreenLabel "Fullskärm">
+
+<!ENTITY moonshine.helpMenuLabel "Hjälp">
+<!ENTITY moonshine.helpAboutLabel "Om">
+
+<!ENTITY moonshine.uninstalledTitle "Moonlight har inte installerats">
+<!ENTITY moonshine.uninstalledMessage "Det gick inte att hitta insticksprogrammet Moonlight. Det måste ha installerats på samma ställe som systemets insticksprogram, och inte som en XPI.">
+
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/sv/version.dtd moonshine-0.7/xulrunner/chrome/locale/sv/version.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/sv/version.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/sv/version.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1 @@
+<!ENTITY moonshine.version "0.5">
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/tr/player-shell.dtd moonshine-0.7/xulrunner/chrome/locale/tr/player-shell.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/tr/player-shell.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/tr/player-shell.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1,14 @@
+﻿<!ENTITY moonshine.fileMenuLabel "Dosya">
+<!ENTITY moonshine.fileOpenLabel "Dosya Aç">
+<!ENTITY moonshine.fileQuitLabel "Çık">
+
+<!ENTITY moonshine.viewMenuLabel "Görünüm">
+<!ENTITY moonshine.viewFullscreenLabel "Tam Ekran">
+
+<!ENTITY moonshine.helpMenuLabel "Yardım">
+<!ENTITY moonshine.helpAboutLabel "Hakkında">
+
+<!ENTITY moonshine.uninstalledTitle "Moonlight Yüklü Değil">
+<!ENTITY moonshine.uninstalledMessage "Moonlight eklentisi bulunamadı. Şu anda XPI olarak değil, sistem eklentisi konumunda yüklü olmalıdır.">
+
+
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/tr/version.dtd moonshine-0.7/xulrunner/chrome/locale/tr/version.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/tr/version.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/tr/version.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1 @@
+<!ENTITY moonshine.version "0.5">
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/zh-CN/player-shell.dtd moonshine-0.7/xulrunner/chrome/locale/zh-CN/player-shell.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/zh-CN/player-shell.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/zh-CN/player-shell.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1,12 @@
+﻿<!ENTITY moonshine.fileMenuLabel "文件">
+<!ENTITY moonshine.fileOpenLabel "打开文件">
+<!ENTITY moonshine.fileQuitLabel "退出">
+
+<!ENTITY moonshine.viewMenuLabel "视图">
+<!ENTITY moonshine.viewFullscreenLabel "全屏">
+
+<!ENTITY moonshine.helpMenuLabel "帮助">
+<!ENTITY moonshine.helpAboutLabel "关于">
+
+<!ENTITY moonshine.uninstalledTitle "未安装 Moonlight">
+<!ENTITY moonshine.uninstalledMessage "找不到 Moonlight 插件。当前必须将其作为非 XPI 安装在系统插件位置。">
\ No newline at end of file
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/zh-CN/version.dtd moonshine-0.7/xulrunner/chrome/locale/zh-CN/version.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/zh-CN/version.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/zh-CN/version.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1 @@
+<!ENTITY moonshine.version "0.5">
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/zh-TW/player-shell.dtd moonshine-0.7/xulrunner/chrome/locale/zh-TW/player-shell.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/zh-TW/player-shell.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/zh-TW/player-shell.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1,12 @@
+﻿<!ENTITY moonshine.fileMenuLabel "檔案">
+<!ENTITY moonshine.fileOpenLabel "開啟檔案">
+<!ENTITY moonshine.fileQuitLabel "結束">
+
+<!ENTITY moonshine.viewMenuLabel "檢視">
+<!ENTITY moonshine.viewFullscreenLabel "全螢幕">
+
+<!ENTITY moonshine.helpMenuLabel "說明">
+<!ENTITY moonshine.helpAboutLabel "關於">
+
+<!ENTITY moonshine.uninstalledTitle "未安裝 Moonlight">
+<!ENTITY moonshine.uninstalledMessage "找不到 Moonlight 外掛程式。目前該程式必須安裝在系統外掛程式位置，不能做為 XPI 使用。">
\ No newline at end of file
diff -uNr moonshine-0.7.orig//xulrunner/chrome/locale/zh-TW/version.dtd moonshine-0.7/xulrunner/chrome/locale/zh-TW/version.dtd
--- moonshine-0.7.orig//xulrunner/chrome/locale/zh-TW/version.dtd	1970-01-01 08:00:00.000000000 +0800
+++ moonshine-0.7/xulrunner/chrome/locale/zh-TW/version.dtd	2010-12-03 16:53:34.000000000 +0800
@@ -0,0 +1 @@
+<!ENTITY moonshine.version "0.5">
diff -uNr moonshine-0.7.orig//xulrunner/moonshine.desktop.in moonshine-0.7/xulrunner/moonshine.desktop.in
--- moonshine-0.7.orig//xulrunner/moonshine.desktop.in	2010-06-17 05:23:24.000000000 +0800
+++ moonshine-0.7/xulrunner/moonshine.desktop.in	2010-12-03 17:03:46.000000000 +0800
@@ -1,7 +1,45 @@
 [Desktop Entry]
 GenericName=WMV Player
+GenericName[zh_CN]=WMV 播放器
+GenericName[zh_TW]=WMV 播放程式
+GenericName[cs]=Přehrávač WMV
+GenericName[da]=WMV-afspiller
+GenericName[de]=WMV-Player
+GenericName[el]=Πρόγραμμα αναπαραγωγής WMV
+GenericName[es]=Reproductor de WMV
+GenericName[fi]=WMV-soitin
+GenericName[fr]=Lecteur WMV
+GenericName[hu]=WMV-lejátszó
+GenericName[it]=Lettore WMV
+GenericName[nb]=WMV-spiller
+GenericName[nl]=WMV-speler
+GenericName[pl]=Odtwarzacz WMV
+GenericName[pt_BR]=WMV Player
+GenericName[pt]=Leitor WMV
+GenericName[ru]=WMV-проигрыватель 
+GenericName[sv]=WMV-spelare
+GenericName[tr]=WMV Oynatıcı
 Name=Moonshine
 Comment=Standalone player for Windows Media content
+Comment[zh_CN]=用于 Windows Media 内容的独立播放器
+Comment[zh_TW]=適用於 Windows Media 內容的獨立播放程式
+Comment[cs]=Samostatný přehrávač obsahu ve formátu Windows Media
+Comment[da]=Enkeltstående afspiller til Windows Media-indhold
+Comment[de]=Standalone-Player für Windows Media-Inhalte
+Comment[el]=Μεμονωμένο πρόγραμμα αναπαραγωγής για περιεχόμενο πολυμέσων
+Comment[es]=Reproductor independiente de contenido de Windows Media
+Comment[fi]=Erillissoitin Windows Media -sisältöä varten
+Comment[fr]=Lecteur autonome pour contenu Windows Media
+Comment[hu]=Önálló lejátszó Windows Media tartalmakhoz
+Comment[it]=Lettore autonomo per contenuti Windows Media
+Comment[nb]=Frittstående mediespiller for Windows Media-filer
+Comment[nl]=Zelfstandige speler voor Windows Media-inhoud
+Comment[pl]=Samodzielny odtwarzacz treści Windows Media
+Comment[pt_BR]=Player independente para conteúdo do Windows Media
+Comment[pt]=Leitor autónomo para conteúdo Windows Media
+Comment[ru]=Автономный проигрыватель содержимого Windows Media
+Comment[sv]=Fristående mediespelare för Windows Media-filer
+Comment[tr]=Windows Media içeriği için bağımsız oynatıcı
 Exec=moonshine %U
 Icon=moonshine
 Terminal=false
